::selection {
    background-color: #604864;
}
body, button, input, select, textarea, h1, h2, h3, h4, h5, h6 {
    font-family: "Noto Sans";
}
body, h1, h2, h3, h4, h5, h6 {
    color: #fff;
    font-weight: 200;
}
input, select, textarea {
    font-weight: 400 !important;
}
h1, h2, h3, h4, h5, h6 {
    font-weight: 600;
    line-height: normal;
    letter-spacing: 0 !important;
}
select {
    min-height: 30px;
    padding: 0 10px;
    border-radius: 3px;
    border: none;
}
.boutique-primary-navigation {
    padding-bottom: 0;
}
.main-navigation ul li a {
    text-transform: uppercase;
    font-weight: 200;
    font-size: .75em;
    letter-spacing: .25em;
    transition: background .2s ease-in-out;
}
.main-navigation ul li:not(:last-child) a{
    border-right: 3px solid #4B2B77;
}
.main-navigation ul li.current-menu-item a {
    background-color: #4b2b77;
}
.site-content .col-full {
    background: none;
    box-shadow: none;
    border-radius: 3px;
}
.site-main .hentry, .storefront-product-section {
    border-bottom: 0;
}
.storefront-product-section + .storefront-product-section {
    margin-top: 3em;
}
.storefront-product-section:not(:last-child)::after,
.site-main .hentry.post:not(:last-child)::after {
    content: '';
    display: block;
    width: 100%;
    height: 4px;
    background-color: #482773;
    border-radius: 10px;
}
.site-footer {
    color: #fff;
}
.site-footer .col-full {
    background-color: #3f206a;
    padding-top: 2em;
    padding-bottom: 1em;
}
.site-footer .widget .widget-title {
    color: #fff;
    padding: 0;
    border: 0;
    margin-bottom: .4em;
    font-weight: 600;
}
.site-footer .widget .widget-title + *{
    font-size: .95em;
}

.site-info {
    padding: 0;
    display: flex;
    justify-content: space-between;
    color: #fff;
    font-size: .75em;
    text-transform: uppercase;
}
.site-info > * {
    margin: 0;
}
.site-info > ul {
    list-style: none;
    display: flex;
}
.site-info > ul > li:not(:last-child) {
    margin-right: 5px;
}
.site-info > ul > li:not(:last-child):after {
    content: '|';
    margin-left: 5px;
}
.site-info > ul > li a {
    text-decoration: none;
    color: #fff !important;
}
.site-info > ul > li a:hover {
    text-decoration: underline;
    color: #fff !important;
}

.storefront-handheld-footer-bar {
    box-shadow: none;
}


input[type=text], input[type=number], input[type=email], input[type=tel], input[type=url], input[type=password], input[type=search], textarea, .input-text {
    border-radius: 3px;
}
input:focus, textarea:focus, input[type="text"]:focus, input[type="button"]:focus, input[type="reset"]:focus, input[type="submit"]:focus, input[type="email"]:focus, input[type="tel"]:focus, input[type="url"]:focus, input[type="password"]:focus, input[type="search"]:focus {
    outline-color: #3a1d61 !important;
    box-shadow: none !important;
}
a:focus, button:focus, .button.alt:focus {
    outline: none;
}
.wp-block-button__link:not(.has-background) {
    background-color: #41216d;
    transition: background .2s ease-in-out, color .2s ease-in-out;
}
.wp-block-button__link:not(.has-background):hover {
    background-color: #fff;
    color: #41216d !important;
}
body.home .hentry .entry-content .wp-block-button .wp-block-button__link {
    border-radius: 3px;
    color: #fff;
    font-size: .95em;
}

.hentry.page .entry-header {
    padding: 0;
    margin-bottom: 2em;
}
.hentry.page .entry-header .entry-title {
    padding: 0;
    margin: 0;
    border: 0;
    font-size: 2.2em;
}
.hentry.post .entry-header .entry-title {
    font-size: 2.2em;
    margin-bottom: 10px;
    padding-bottom: 0;
    border: 0;
}
.hentry.post .entry-header .entry-title > a {
    font-weight: 600;
    transition: opacity .2s ease-in-out;
}
.hentry.post .entry-header .entry-title > a:hover {
    opacity: .6;
}
.hentry.post,
.hentry.post .entry-content > p {
    margin-bottom: 1em;
}
.hentry .entry-header .posted-on {
    font-size: .7em;
    letter-spacing: 1px;
}
.hentry.post .entry-header {
    margin-bottom: 1em;
}

.widget_search form:before, .widget_product_search form:before {
    color: #4b2b77;
}

.woocommerce-breadcrumb {
    font-size: .75em;
    font-weight: 300;
    border: none;
}
.woocommerce-breadcrumb, .woocommerce-breadcrumb a {
    text-transform: uppercase;
    color: #fff;
    text-decoration: none;
}
.woocommerce-breadcrumb a:first-of-type::before {
    content: none;
}
.woocommerce-breadcrumb .breadcrumb-separator {
    padding: 0 1em;
}
.woocommerce-breadcrumb .breadcrumb-separator::after {
    content: '';
    width: .5px;
    height: 12px;
    background-color: #fff;
    opacity: 1;
}

.woocommerce ul.products li.product {
    margin-bottom: 2.5em;
}
.woocommerce ul.products li.product img {
    border-radius: 4px;
    margin-bottom: 1em;
}
.woocommerce ul.products li.product .price {
    color: #fff;
    font-weight: 300;
    letter-spacing: .20em;
    box-shadow: 5px 0 0 0 #41216d;
    background: rgb(65 33 109 / 70%);
    border-radius: 3px 0 0 3px;
}
.woocommerce ul.products li.product .price del {
    font-size: .75em;
}
.woocommerce ul.products li.product .price .woocommerce-Price-currencySymbol {
    font-size: .8em;
}
.woocommerce ul.products li.product .woocommerce-loop-product__title {
    font-weight: 300;
}
.woocommerce ul.products li.product .add_to_cart_button,
.woocommerce ul.products li.product .product_type_simple:not(.add_to_cart_button) {
    border-radius: 3px;
    color: #fff;
    margin-top: 1em;
    background-color: #41216d;
    width: 100%;
    transition: background .2s ease-in-out, color .2s ease-in-out;
}
.woocommerce ul.products li.product .add_to_cart_button:hover,
.woocommerce ul.products li.product .product_type_simple:not(.add_to_cart_button):hover{
    background-color: #fff;
    color: #41216d;
}
.woocommerce ul.products li.product .add_to_cart_button::before,
.woocommerce.single-product div.product .single_add_to_cart_button::before,
.storefront-sticky-add-to-cart .storefront-sticky-add-to-cart__content-button::before {
    content: "";
    -webkit-font-smoothing: antialiased;
    display: inline-block;
    font-style: normal;
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    vertical-align: baseline;
    height: 1em;
    margin-right: 10px;
    line-height: 1.618;
    font-variant: normal;
}
.woocommerce ul.products .product-category .woocommerce-loop-category__title {
    font-size: 1.1rem;
}

.woocommerce-products-header .woocommerce-products-header__title, 
.woocommerce.single-product div.product .summary .product_title,
.woocommerce.single-product div.product p.price {
    font-size: 2.2em;
    margin-bottom: 10px;
}
.woocommerce.single-product div.product .woocommerce-product-gallery.woocommerce-product-gallery--columns-5 .flex-control-thumbs li {
    width: 19.8%;
    float: left;
    margin-right: 1em;
}
.woocommerce.single-product div.product .woocommerce-product-gallery.woocommerce-product-gallery--columns-5 .flex-control-thumbs li:nth-child(4n) {
    margin-right: 0;
}
.woocommerce.single-product div.product .woocommerce-product-gallery.woocommerce-product-gallery--columns-5 .flex-control-thumbs li:nth-child(5n) {
    margin-right: 1em;
}
.single-product div.product .woocommerce-product-gallery.woocommerce-product-gallery--columns-5 .flex-control-thumbs li:nth-child(4n+1) {
    clear: both;
}
.single-product div.product .woocommerce-product-gallery.woocommerce-product-gallery--columns-5 .flex-control-thumbs li:nth-child(5n+1) {
    clear: none;
}
.woocommerce.single-product div.product .woocommerce-product-gallery .flex-viewport,
.woocommerce.single-product div.product .woocommerce-product-gallery .flex-control-thumbs li {
    margin-bottom: 1em;
}
.woocommerce.single-product div.product .summary .woocommerce-product-details__short-description {
    font-size: .95em;
}
.woocommerce.single-product div.product p.price {
    margin-top: 10px;
    font-weight: 500;
}
.woocommerce.single-product div.product p.price del {
    font-size: .6em;
    display: block;
    line-height: normal;
}
.woocommerce.single-product div.product p.price .woocommerce-Price-currencySymbol {
    font-size: .8em;
}
.woocommerce.single-product div.product form.cart .quantity {
    float: none;
    margin-bottom: 30px;
}
.woocommerce.single-product div.product .single_add_to_cart_button {
    display: block;
    background-color: #41216d;
    width: 100%;
    border-radius: 3px;
    font-size: 1.05em;
    transition: background .2s ease-in-out, color .2s ease-in-out;
}
.woocommerce.single-product div.product .single_add_to_cart_button:hover {
    color: #41216d;
    background-color: #fff;
}
.woocommerce.single-product div.product .product_meta {
    border: none;
}

.woocommerce.single-product div.product .woocommerce-tabs ul.tabs li {
    border-bottom-width: 3px;
    border-bottom-color: transparent;
}
.woocommerce.single-product div.product .woocommerce-tabs ul.tabs li a {
    padding: 1em 0 1em 1em;
    border-radius: 4px 0 0 4px;
    font-size: .9em;
    font-weight: 300;
}
.woocommerce.single-product div.product .woocommerce-tabs ul.tabs li:not(.active) a {
    background-color: #41216d;
}
.woocommerce.single-product div.product .woocommerce-tabs ul.tabs li.active::after {
    content: ""
}

.woocommerce-pagination .page-numbers li .page-numbers {
    border-radius: 3px;
}
.woocommerce-pagination .page-numbers li .page-numbers.current {
    color: #ffffff;
    font-weight: 400;
}

.woocommerce-tabs {
    padding-top: 0;
}

/* new woocommerce blocks */
.wc-block-components-form .wc-block-components-text-input label, .wc-block-components-text-input label,
.wc-blocks-components-select .wc-blocks-components-select__label {
    font-weight: 400 !important;
}
.wc-block-components-button:not(.is-link),
.wc-block-components-address-card__edit {
    border-radius: 3px;
    font-size: .95em;
    font-weight: 600;
    text-decoration: none !important;
    width: 100%;
    transition: background .2s ease-in-out !important;
}
.wc-block-components-address-card__edit {
    width: auto;
}
.wc-block-components-button:not(.is-link):focus {
    box-shadow: none !important;
}
.wc-block-components-totals-shipping .wc-block-components-totals-shipping__change-address__link {
    box-shadow: none;
    color: #fff;
}
.wc-block-components-radio-control .wc-block-components-radio-control__input:checked:before {
    background: #4b2b77 !important;
}
.wc-block-components-validation-error {
    color: #CB4D27 !important;
    font-weight: 300;
    font-size: .85em !important;
}

/* new cart version */
.is-large.wc-block-cart .wc-block-cart-items th {
    padding: 5px 16px 5px 0;
}
.is-large.wc-block-cart .wc-block-cart-items td {
    padding: 16px 0 16px 16px;
}
.is-large.wc-block-cart .wc-block-cart-items,
.wc-block-components-totals-wrapper,
.wp-block-woocommerce-cart-order-summary-totals-block,
.is-large.wc-block-cart .wc-block-cart-items td,
.is-large .wp-block-woocommerce-checkout-order-summary-block,
.wp-block-woocommerce-checkout-order-summary-totals-block {
    border-width: 3px !important;
}
table.wc-block-cart-items .wc-block-cart-items__row .wc-block-components-product-name,
table.woocommerce-table--order-details .woocommerce-table__line-item .woocommerce-table__product-name a {
    text-decoration: none;
}
table.wc-block-cart-items .wc-block-cart-items__row .wc-block-components-product-name:hover,
table.woocommerce-table--order-details .woocommerce-table__line-item .woocommerce-table__product-name a:hover {
    text-decoration: underline;
}
table.wc-block-cart-items .wc-block-cart-items__row {
    font-weight: 300;
}
table.wc-block-cart-items .wc-block-cart-items__row .wc-block-components-product-metadata,
.wc-block-components-order-summary .wc-block-components-order-summary-item .wc-block-components-product-metadata {
    display: none;
}
.wc-block-components-button.wc-block-checkout__shipping-method-option.wc-block-checkout__shipping-method-option--selected {
    background-color: #41216d !important;
}
.wc-block-checkout__payment-method .wc-block-components-radio-control-accordion-option .wc-block-components-radio-control__label {
    font-weight: 600;
}
.wc-block-checkout__payment-method .wc-block-components-radio-control-accordion-option label.wc-block-components-radio-control__option {
    padding-bottom: 0;
}
.wc-block-checkout__payment-method .wc-block-components-radio-control-accordion-option .wc-block-components-radio-control-accordion-content {
    font-size: .85em;
    padding-top: 0;
    padding-bottom: 1em;
}
.wc-block-checkout__pickup-options .wc-block-components-local-pickup-rates-control .wc-block-components-radio-control__description, .wp-block-woocommerce-checkout-pickup-options-block .wc-block-components-local-pickup-rates-control .wc-block-components-radio-control__description {
    color: #fff !important;
}
.wc-block-checkout__terms.wc-block-checkout__terms--with-separator {
    padding-top: 30px !important;
    margin-bottom: 30px;
}

.wpforms-container {
    margin: 0 auto !important;
    max-width: 600px;
}
.wpforms-container .wpforms-form .wpforms-field-label {
    color: #fff;
    font-size: .85em;
    font-weight: 300;
    text-transform: uppercase;
    margin-bottom: 5px;
}
.wpforms-container input:not([type="submit"]),
.wpforms-container textarea{
    border: none !important;
}
.wpforms-container input[type=submit],
.wpforms-container button[type=submit] {
    width: 100%;
    background-color: #3f206a !important;
    transition: background .2s ease-in-out !important;
}
.wpforms-container .wpforms-recaptcha-container .g-recaptcha {
    padding: 15px 0;
}
.wpforms-container-full .wpforms-confirmation-container-full {
    background: #41216d;
    border: none;
    border-radius: 3px;
    padding: 30px;
}
.wpforms-container-full .wpforms-confirmation-container-full > p {
    color: #fff;
}


/* Responsive */
@media screen and (min-width: 768px) {
    .col-full {
        max-width: 90%;
        margin: auto;
    }
    .site-content .col-full {
        padding-top: 0;
        padding-bottom: 0;
    }
    .site-header {
        padding-top: 2em;
    }
    .site-header .site-branding {
        width: auto;
    }
    .site-branding, .site-search, .site-header-cart, .site-logo-anchor, .custom-logo-link {
        margin-bottom: 2em;
    }
    .site-header-cart .cart-contents {
        padding-top: 0 !important;
    }
    .site-header-cart .cart-contents .count {
        font-weight: 200;
        font-size: .75em;
    }
    .site-header-cart .widget_shopping_cart {
        top: 70% !important;
        border-radius: 3px;
    }
    .site-header-cart .widget_shopping_cart .woocommerce-mini-cart__buttons a.button {
        border-radius: 3px;
        transition: background .2s ease-in-out;
    }

    .boutique-primary-navigation {
        box-shadow: none;
        border-radius: 3px;
        margin-bottom: 1em;
    }
    .main-navigation ul.menu, .main-navigation ul.nav-menu {
        display: flex;
        justify-content: center;
    }
    .main-navigation ul.menu > li > a, .main-navigation ul.nav-menu > li > a, .site-header-cart .cart-contents {
        padding-bottom: 1.2em !important;
        padding-top: 1.2em;
    }
    .main-navigation ul.menu>li:not(.current-menu-item)>a:hover, .main-navigation ul.nav-menu>li:not(.current-menu-item)>a:hover {
        background-color: #3a1d61;
    }
    .main-navigation ul.menu li.current-menu-item > a:before {
        border-top-color: #fff;
    }

    .woocommerce-active .site-header .site-branding {
        width: auto;
    }
    .woocommerce-active .site-header .site-search {
        float: left;
    }
    .woocommerce-active .site-header .main-navigation {
        float: none;
        width: 100%;
        margin: 0;
    }

    .storefront-sticky-add-to-cart {
        background-color: rgb(75 43 119 / 90%);
        box-shadow: none;
    }
    .storefront-sticky-add-to-cart img {
        padding: 0;
        border: none;
        margin-right: 1em;
    }
    .storefront-sticky-add-to-cart .storefront-sticky-add-to-cart__content-price {
        opacity: 1;
        font-weight: 600;
    }
    .storefront-sticky-add-to-cart .storefront-sticky-add-to-cart__content-price .woocommerce-Price-currencySymbol {
        font-size: .8em;
    }
    .storefront-sticky-add-to-cart .storefront-sticky-add-to-cart__content-button {
        background-color: #41216d;
        border-radius: 3px;
        font-size: .9em;
        transition: background .2s ease-in-out;
    }
    .storefront-full-width-content .woocommerce-products-header {
        padding-bottom: 1em;
    }
    .storefront-full-width-content.single-product div.product .woocommerce-product-gallery.woocommerce-product-gallery--columns-5 .flex-control-thumbs li:nth-child(4n) {
        margin-right: 0;
    }
    .storefront-full-width-content.single-product div.product .woocommerce-product-gallery.woocommerce-product-gallery--columns-5 .flex-control-thumbs li:nth-child(5n) {
        margin-right: 1em;
    }

    body.home .hentry .entry-content .wp-block-columns .wp-block-column:not(:last-child) {
        margin-right: 2%;
    }

    .footer-widgets {
        padding-top: 1em;
        margin-bottom: 1em;
    }
    .site-footer #boutique-blacjoyaux .widget-title,
    .site-footer #boutique-blacjoyaux .widget-title + * {
        text-align: right;
    }
}

@media screen and (min-width: 800px) {
    .col-full {
        max-width: 70%;
    }
}

@media screen and (min-width: 1100px) {
    .col-full {
        max-width: 80%;
    }
    .main-navigation ul.menu>li>a, .main-navigation ul.nav-menu>li>a {
        padding-left: 2em;
        padding-right: 2em;
    }
}

@media screen and (max-width: 1100px) {
    .site-info {
        flex-direction: column-reverse;
        align-items: center;
        text-align: center;
    }
    .site-info > p {
        margin-top: 15px;
    }
    .site-info > ul {
        flex-direction: column;
        align-items: center;
    }
    .site-info > ul > li:not(:last-child):after {
        content: none;
    }
}

@media screen and (max-width: 780px) {
    body.home .hentry .entry-content .wp-block-columns .wp-block-column:not(:last-child),
    body.home .hentry .entry-content figure.wp-block-image {
        padding: 0;
        margin: 0;
    }
    body:not(.woocommerce-cart, .woocommerce-checkout) .site-info {
        padding-bottom: 70px;
    }
}
@media screen and (max-width: 768px) {
    .site-content .col-full {
        padding-top: 0;
    }
    .main-navigation .handheld-navigation {
        display: none;
    }
    .main-navigation.toggled .handheld-navigation {
        height: 100vh;
        display: block;
    }
    .main-navigation.toggled .handheld-navigation > ul.menu {
        padding-top: 6em;
    }
}
@media screen and (max-width: 480px) {
    h2 {
        font-size: 1.8em;
    }
    h3 {
        font-size: 1.4em;
    }
    .site-branding {
        width: calc(100% - 80px);
    }
    .boutique-primary-navigation button.menu-toggle {
        padding-right: .6180469716em;
    }
    .boutique-primary-navigation button.menu-toggle > span {
        font-size: 0;
    }
    .boutique-primary-navigation button.menu-toggle > span:before {
        left: 14px;
    }
    .boutique-primary-navigation ul li a {
        font-size: .85em;
        font-weight: 300;
    }
}


